| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions

# IG::Num::VectorExtensions Class Reference

Extension methods for vector classes. More...

List of all members.

## Static Public Member Functions
static string | ToString (this IVector vec)
| Returns a string representation of the current vector in a standard IGLib form. Extension method for IVector interface.
static string | ToStringMath (IVector vec)
| Returns a string representation of the current vector in a standard IGLib form (Mathematica-like format but with C representation of numbers). Extension method for IVector interface.
static string | ToString (this IVector vec, string elementFormat)
| Returns a string representation of the current vector in a standard IGLib form, with the specified format for elements of the vector. Extension method for IVector interface.
static string | ToStringMath (IVector vec, string elementFormat)
| Returns a string representation of the current vector in a standard IGLib form (Mathematica-like format but with C representation of numbers), with the specified format for elements of the vector. Extension method for IVector interface.

## Detailed Description

Extension methods for vector classes.

$A Igor Apr11;

## Member Function Documentation

static string IG::Num::VectorExtensions::ToString | ( | this IVector | vec | ) | `[inline, static]`

Returns a string representation of the current vector in a standard IGLib form. Extension method for IVector interface.

Parameters:

  vec | Vector whose string representation is returned.

static string IG::Num::VectorExtensions::ToStringMath | ( | IVector | vec | ) | `[inline, static]`

Returns a string representation of the current vector in a standard IGLib form (Mathematica-like format but with C representation of numbers). Extension method for IVector interface.

Parameters:

  vec | Vector whose string representation is returned.

static string IG::Num::VectorExtensions::ToString | ( | this IVector | vec,
|  | string | elementFormat
| ) |  | `[inline, static]`

Returns a string representation of the current vector in a standard IGLib form, with the specified format for elements of the vector. Extension method for IVector interface.

Parameters:

  vec | Vector whose string representation is returned.
  elementFormat | Format specification for printing individual element.

static string IG::Num::VectorExtensions::ToStringMath | ( | IVector | vec,
|  | string | elementFormat
| ) |  | `[inline, static]`

Returns a string representation of the current vector in a standard IGLib form (Mathematica-like format but with C representation of numbers), with the specified format for elements of the vector. Extension method for IVector interface.

Parameters:

  vec | Vector whose string representation is returned.
  elementFormat | Format specification for printing individual element.

The documentation for this class was generated from the following file:

- VectorBase.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events